<template>
  <v-app-bar app color="primary" dark>
    <router-link style="cursor: pointer" :to="{name: 'home'}" tag="div" class="v-toolbar__title">
      <i class="fas fa-cookie-bite"></i>
      Recipes
    </router-link>
    <v-spacer></v-spacer>
    <GlobalSearchBar class="d-none d-md-flex" />
    <template v-if="connectedUser">
      <router-link style="cursor: pointer" :to="{name: 'user-profile', params: {userId: connectedUser.Id.toString()}}" tag="div" class="v-toolbar__title">
        <v-icon right dark>mdi-account</v-icon>
        <small class="d-none d-md-flex">Profil</small>
      </router-link>
      <v-btn icon @click="logout" class="v-toolbar__title">
        <v-icon>fa-power-off</v-icon>
      </v-btn>
    </template>
    <div v-else>
      <router-link style="cursor: pointer" :to="{name: 'login'}" tag="div" class="v-toolbar__title">
        <i class="fas fa-user"></i>
        Login
      </router-link>
    </div>
  </v-app-bar>
</template>

<script lang="ts">
import Vue from "vue";
import Component from "vue-class-component";
import User from "../../../transport/User";
import GlobalSearchBar from "./GlobalSearchBar.vue";

@Component({components: {
  GlobalSearchBar
}})
export default class Navbar extends Vue {
  get connectedUser(){
    return this.$store.state.connectedUser;
  }
  logout() {
    this.$store.dispatch("logout");
  }
}
</script>
